xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Opened 3 years ago

Closed 3 years ago

Last modified 9 months ago

#1908 closed defect (fixed)

Xpra icon changes

Reported by: michael Owned by: michael
Priority: major Milestone: 2.4
Component: client Version: 2.3.x
Keywords: Cc:

Description (last modified by Antoine Martin)

Icon of Xpra in taskbar (Win7) sometimes changes during use to the symbol of other applications (Outlook, Firefox, ...) - confusing

Xpra 2.3.1 64 Bit Client (2.3.1 revision 19531) + Server (2.3.1-r19533-1)
Win7 (VDI) -> Ubuntu 16.04 (virtual)
independent of Desktop Environment (simple terminator and lxde-desktop, too)
LAN (no limit)
e.g. C:\Program Files\Xpra\Xpra.exe" start --start-child=terminator ssh:user@fqdn:1000 --encoding=png −−pulseaudio=no −−speaker=no −−microphone=no --keyboard-layout=de
Same problem with 0.16 which i used before.
More users have the problem - others use it too rarely.

Attachments (5)

xpra-outlook.png (12.0 KB) - added by michael 3 years ago.
Xpra.log (373.5 KB) - added by michael 3 years ago.
Beta24_xpra_main_error.png (10.8 KB) - added by michael 3 years ago.
Xpra2.log (154.6 KB) - added by michael 3 years ago.
2.4-r19929-tray-debug.log (67.6 KB) - added by Antoine Martin 3 years ago.
convert large log sample to an attachment

Download all attachments as: .zip

Change History (29)

comment:1 Changed 3 years ago by michael

Component: androidclient

comment:2 Changed 3 years ago by Antoine Martin

Description: modified (diff)
Milestone: 2.4
Owner: changed from Antoine Martin to michael

This sounds like it could be #1707, which would mean that this working as intended.
Are you talking about the taskbar or the systray?
It is meant to allow us to distinguish xpra forwarded windows from local ones. (ie: firefox local vs remote)

changes during use to the symbol of other applications (Outlook, Firefox, ...)

I doubt the icon shows the outlook icon unless you somehow managed to run outlook via xpra.

Same problem with 0.16 which i used before.

0.16 did not have this feature at all. So maybe this is / was a different problem?

Xpra 2.3.1 64 Bit Client (2.3.1 revision 19531)

Make sure you're running 2.3.2, which included a fix for this feature: r19719.

You can also disable it completely with XPRA_DYNAMIC_TRAY_ICON=0.

Changed 3 years ago by michael

Attachment: xpra-outlook.png added

comment:3 Changed 3 years ago by michael

taskbar!:

comment:4 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

comment:5 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

How odd! The icon in the taskbar should be the one from the window when there is only one window.
I have no idea how we could ever get the icon for outlook or from where!

Can you reproduce this with "-d tray,icon" added to the client command line?
Does the problem go away if you run with XPRA_DYNAMIC_TRAY_ICON=0?

Changed 3 years ago by michael

Attachment: Xpra.log added

comment:6 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

I have no idea how we could ever get the icon for outlook or from where!

Me, too :-)

Can you reproduce this with "-d tray,icon" added to the client command line?

Yes - Xpra.log appended.
Yesterday it changed to an empty icon. Today it changed to Notepad++ icon.

Does the problem go away if you run with XPRA_DYNAMIC_TRAY_ICON=0?

I will try today.

comment:7 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

Well, the icon part looks OK but there are a number of errors in that log file, some of which give the wrong geometry for the monitors and therefore for the system tray too.
I guess that us using the wrong dimensions for the tray icon could somehow cause MS Windows to trip over itself?

  • r19924 fixes the AssertionError in _focus_change - likely unrelated and harmless
  • r19925 fixes the OverflowError: long int too long to convert in GetMonitorInfo (+r19929 fixup)
  • r19928 improves the debug logging

Please try the latest 2.4 beta build to see if that resolves those issues (only known limitation of this build is the lack of webcam forwarding): https://xpra.org/beta/windows/.

Changed 3 years ago by michael

Attachment: Beta24_xpra_main_error.png added

comment:8 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

Beta 2.4 (2018-07-11) does not work here - screenshot attached.

Text:

xpra main error
Traceback (most recent call last):
  File "./xpra/scripts/main.py", line 75, in main
  File "./xpra/scripts/main.py", line 286, in run_mode
  File "./xpra/scripts/ma in.py", line 1605, in run_remote_server
TypeError: init() takes exactly 2 arguments (3 given)
Last edited 3 years ago by Antoine Martin (previous) (diff)

comment:9 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

Beta 2.4 (2018-07-11) does not work here - screenshot attached.

Try starting the server first from an SSH session, then connect to it with:

xpra_cmd attach ssh://user@host:SSHPORT/

(FYI: this is the recommended way of debugging things, the all-in-one remote start command can hide some details - esp wrt ssh)

comment:10 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

Excuse me for asking:

Until now i start my session during start and the debugging parameters are passed throug. If i split start and attach:
Must i activate the debug statements at start of the server process and/or at client attach?
Which logfile is relevant for you? Server (Linux) or client (Windows)?

comment:11 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

Must i activate the debug statements at start of the server process and/or at client attach?

When in doubt, best to do both. Some will only be relevant to one end, which is fine.

Which logfile is relevant for you? Server (Linux) or client (Windows)?

By default remote-logging=yes so the server log should include the client log output.
But in this case, I strongly suspect that this a client-only problem (where would the server get an outlook icon?!), so the client log would be enough.

Changed 3 years ago by michael

Attachment: Xpra2.log added

comment:12 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

Beta 2.4 (2018-07-11) with attach and -d tray,icon creates the problem (Word icon) - Xpra2.log attached.

comment:13 Changed 3 years ago by michael

A question according the 2.4 Beta: Do I have to worry that the beta version will not start or is this a known problem that is still being fixed?

comment:14 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

A question according the 2.4 Beta: Do I have to worry that the beta version will not start or is this a known problem that is still being fixed?

I assume you mean the xpra start ssh:host syntax?
This is fixed in r19973, unfortunately it will be a few weeks before I am able to make updated MS Windows beta builds again.

Did setting XPRA_DYNAMIC_TRAY_ICON=0 help?
Can you also reproduce with the clipboard disabled? (ie: --clipboard=no)

Note to self: maybe we should cache the LoadImage result for the default icon rather than hitting the disk every time, and maybe we're also leaking HICON handles.

comment:15 Changed 3 years ago by michael

Problem occurs normally within 1 day. Startet the XPRA_DYNAMIC_TRAY_ICON test now.

comment:16 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

It seemed that the problem doesn't occur so often with XPRA_DYNAMIC_TRAY_ICON=0 but today i have the issue again. I can surprisingly change the icon:
Open a note from Outlook -> symbol changes to the note symbol or to the Outlook symbol.
Close the note -> symbol changes to an empty one.
Start of any new program -> symbol changes to the started program.
This was now reproducible 20 or more times.
After start from IE the icon changed the last time - the IE icon remains...

Next test will be without clipboard. I assign the issue to you so you have this information. Feel free to reassign it back to me.

Client.log since i arrived at work:

2018-08-06 08:07:41,831 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-06 08:07:41,832   Default (1016x317 mm - DPI: 96x96)
2018-08-06 08:07:41,833     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-06 08:07:41,833     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-06 08:07:41,833 screen size change: will reinit the windows
2018-08-06 08:26:20,271 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-06 08:26:20,272   Default (1016x317 mm - DPI: 96x96) workarea: 1920x1200
2018-08-06 08:26:20,272     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72)
2018-08-06 08:26:20,272     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72)
2018-08-06 08:26:20,273 screen size change: will reinit the windows
2018-08-06 08:26:31,416 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-06 08:26:31,416   Default (1016x317 mm - DPI: 96x96)
2018-08-06 08:26:31,416     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72) workarea: 1920x1160
2018-08-06 08:26:31,416     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-06 08:26:31,417 screen size change: will reinit the windows
2018-08-06 08:26:32,886 screen size change: will reinit the windows
2018-08-06 08:26:33,218 Warning: ignoring draw packet,
2018-08-06 08:26:33,219  received for a window which is not realized yet or gone already
2018-08-06 08:27:13,510 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-06 08:27:13,510   Default (1016x317 mm - DPI: 96x96) workarea: 1920x1200
2018-08-06 08:27:13,510     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72)
2018-08-06 08:27:13,510     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72)
2018-08-06 08:27:13,511 screen size change: will reinit the windows
2018-08-06 08:28:18,875 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-06 08:28:18,876   Default (1016x317 mm - DPI: 96x96)
2018-08-06 08:28:18,876     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72) workarea: 1920x1160
2018-08-06 08:28:18,876     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-06 08:28:18,876 screen size change: will reinit the windows
2018-08-06 08:28:46,905 unknown string message: 0xc289L / 0x52 / 0x1d5
2018-08-06 08:28:46,906 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:28:46,914 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:28:46,915 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:29:12,733 unknown string message: 0xc289L / 0x52 / 0x1d6
2018-08-06 08:29:12,734 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:30:00,560 unknown string message: 0xc289L / 0x52 / 0x1d7
2018-08-06 08:30:00,561 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:30:34,654 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:30:34,661 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:31:21,346 unknown string message: 0xc289L / 0x52 / 0x1d8
2018-08-06 08:31:21,349 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:32:05,523 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:32:05,529 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:32:25,687 unknown string message: 0xc289L / 0x52 / 0x1d9
2018-08-06 08:32:25,694 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:32:26,017 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:32:26,045 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:34:47,397 unknown string message: 0xc289L / 0x52 / 0x1da
2018-08-06 08:34:47,398 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:34:47,775 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:34:47,776 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:40,307 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:41,088 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:41,090 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:46,127 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:46,807 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:35:46,808 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:45:19,057 unknown string message: 0xc289L / 0x52 / 0x1db
2018-08-06 08:45:19,059 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:47:01,304 unknown string message: 0xc289L / 0x52 / 0x1dc
2018-08-06 08:47:01,304 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:47:46,101 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-06 08:47:46,110 unknown string message: 0xc289L / 0x50 / 0x0

comment:17 Changed 3 years ago by michael

argl - forgot to set -d tray,icon

comment:18 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael

Please try beta 2.4 r20057 or later, you can find the beta builds here: https://xpra.org/beta/windows

This "fix" may just hide the symptoms of a different problem, but at least we'll know there's a leak somewhere.

comment:19 Changed 3 years ago by michael

Owner: changed from michael to Antoine Martin

With XPRA_DYNAMIC_TRAY_ICON=0: Empty icon again (after 12:00 - presumably at the end) - now with -d tray,icon:

I am sorry, i did not recognize you notice with the new beta 2.4.
Now i am on holiday - back in 3,5 weeks.

2018-08-08 09:17:31,779 Xpra gtk2 client version 2.4-r19929 64-bit
2018-08-08 09:17:31,796  running on Microsoft Windows 7
2018-08-08 09:17:31,990 Warning: failed to import opencv:
2018-08-08 09:17:31,990  No module named cv2
2018-08-08 09:17:31,990  webcam forwarding is disabled
2018-08-08 09:17:33,349 make_tray_menu_helper() tray menu helper classes: (None, <class 'xpra.client.gtk2.tray_menu.GTK2TrayMenu'>)
2018-08-08 09:17:33,465  keyboard settings: layout=de
2018-08-08 09:17:33,466  desktop size is 3840x1200 with 1 screen:
2018-08-08 09:17:33,466   Default (1016x317 mm - DPI: 96x96)
2018-08-08 09:17:33,466     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72) workarea: 1920x1160
2018-08-08 09:17:33,466     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-08 09:17:33,640 setup_xpra_tray()
2018-08-08 09:17:33,673 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,690 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,694 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,701 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,705 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,712 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,725 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,738 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,764 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:33,764 get_tray_title()=ssh://username@serverfqdn/:1003 (items=('ssh://username@serverfqdn/:1003',))
2018-08-08 09:17:33,767 loading ctypes NotifyIcon functions
2018-08-08 09:17:33,767 GetProductInfo(6, 1, 0, 0)=1 product_type=0x30L
2018-08-08 09:17:33,768 RegisterClassExA(win32NotifyIcon)=50117
2018-08-08 09:17:33,770 tray GUESS_GEOMETRY=True
2018-08-08 09:17:33,771 make_tray(0, <gtk.Menu object at 0xa025fa0 (GtkMenu at 0x3f230e0)>, u'ssh://username@serverfqdn/:1003', 'xpra', <function xpra_tray_geometry at 0x000000000a041230>, <function xpra_tray_click at 0x000000000a03d488>, <function xpra_tray_mouseover at 0x000000000a03d578>, <function xpra_tray_exit at 0x000000000a03d758>) tray classes=[<class 'xpra.platform.win32.win32_tray.Win32Tray'>, <class 'xpra.client.gtk_base.statusicon_tray.GTKStatusIconTray'>]
2018-08-08 09:17:33,771 calculate_offset() x=1920, y=0
2018-08-08 09:17:33,772 win32NotifyIcon: app_id=0, title='ssh://username@serverfqdn/:1003'
2018-08-08 09:17:33,772 NotifyIconWndProc(32770436, 36, 0, 2277296) instance=None, message(36)=None
2018-08-08 09:17:33,772 NotifyIconWndProc(32770436, 129, 0, 2277248) instance=None, message(129)=None
2018-08-08 09:17:33,773 NotifyIconWndProc(32770436, 131, 0, 2277328) instance=None, message(131)=None
2018-08-08 09:17:33,773 NotifyIconWndProc(32770436, 1, 0, 2277232) instance=None, message(1)=None
2018-08-08 09:17:33,773 hwnd=0x1f40984
2018-08-08 09:17:33,773 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a0189e0> tooltip='ssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:17:33,784 Shell_NotifyIconW ADD=1
2018-08-08 09:17:33,784 setup_xpra_tray(xpra)=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:17:34,786 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 09:17:34,786 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:17:34,786 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 09:17:34,787 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x251913a3
2018-08-08 09:17:34,788 do_set_icon(0x251913a3)
2018-08-08 09:17:34,788 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a0189e0> tooltip='ssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:34,790 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a0189e0> tooltip='ssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:35,961 enabled remote logging
2018-08-08 09:17:35,961 Xpra X11 server version 2.3.2-r19729 64-bit
2018-08-08 09:17:35,962  running on Linux Ubuntu 16.04 xenial
2018-08-08 09:17:36,003 Attached to serverfqdn via ssh
2018-08-08 09:17:36,003  (press Control-C to detach)

2018-08-08 09:17:36,003 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 09:17:36,004 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:36,004 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:36,015 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:36,017 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:36,019 popup_menu_workaround: adding events callbacks
2018-08-08 09:17:36,019 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 09:17:36,020 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:17:36,039 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:17:36,089 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 09:17:36,089 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:17:36,089 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 09:17:36,129 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0x2650de7
2018-08-08 09:17:36,130 do_set_icon(0x2650de7)
2018-08-08 09:17:36,130 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:36,131 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:36,132 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:17:36,133 NotifyIconWndProc(32770436, 49801, 82, 614) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:17:36,133 unknown string message: 0xc289L / 0x52 / 0x266
2018-08-08 09:17:36,133 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:17:36,133 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:17:36,133 NotifyIconWndProc(32770436, 49801, 82, 615) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:17:36,133 unknown string message: 0xc289L / 0x52 / 0x267
2018-08-08 09:17:36,134 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:17:36,134 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:17:36,186 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:17:36,226 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 09:17:36,227 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:17:36,227 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 09:17:36,229 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x10540cf1
2018-08-08 09:17:36,230 do_set_icon(0x10540cf1)
2018-08-08 09:17:36,230 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:36,231 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:17:36,232 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 09:17:36,232 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
C:/Program Files/Xpra/library.zip/xpra/clipboard/clipboard_base.py:774: GtkWarning: gdk_property_change: assertion 'type != GDK_TARGET_STRING' failed
2018-08-08 09:18:08,376 NotifyIconWndProc(32770436, 28, 0, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:31:55,629 NotifyIconWndProc(32770436, 28, 1, 604) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:31:56,722 NotifyIconWndProc(32770436, 28, 0, 6204) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:31:58,714 NotifyIconWndProc(32770436, 28, 1, 6204) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:32:04,306 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:32:40,635 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:33:03,635 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:33:05,199 NotifyIconWndProc(32770436, 49801, 82, 616) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:33:05,200 unknown string message: 0xc289L / 0x52 / 0x268
2018-08-08 09:33:05,202 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:33:05,203 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:33:06,441 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:33:06,460 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:33:07,544 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:33:07,552 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 09:33:07,552 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:33:07,552 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 09:33:07,556 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0xffffffffe62405c7
2018-08-08 09:33:07,556 do_set_icon(0xffffffffe62405c7)
2018-08-08 09:33:07,557 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:33:07,558 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:33:07,559 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:33:07,667 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 09:33:07,668 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:33:07,668 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 09:33:07,672 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0xffffffff99d01355
2018-08-08 09:33:07,672 do_set_icon(0xffffffff99d01355)
2018-08-08 09:33:07,672 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:33:07,673 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:33:07,674 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 09:33:07,675 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:33:40,309 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:36:01,034 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:42:56,722 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:42:58,063 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 09:42:58,073 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 09:42:58,073 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:42:58,074 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 09:42:58,077 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0x9f70cdd
2018-08-08 09:42:58,078 do_set_icon(0x9f70cdd)
2018-08-08 09:42:58,079 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:42:58,081 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 09:42:58,082 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:42:58,084 NotifyIconWndProc(32770436, 49801, 82, 617) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:58,084 unknown string message: 0xc289L / 0x52 / 0x269
2018-08-08 09:42:58,085 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:58,086 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:42:58,174 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 09:42:58,174 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 09:42:58,174 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 09:42:58,175 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x64ec1411
2018-08-08 09:42:58,176 do_set_icon(0x64ec1411)
2018-08-08 09:42:58,176 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:42:58,177 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 09:42:58,178 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 09:42:58,178 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018ef0> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 09:42:58,193 NotifyIconWndProc(32770436, 49801, 82, 618) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:58,194 unknown string message: 0xc289L / 0x52 / 0x26a
2018-08-08 09:42:58,196 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:58,196 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:42:59,192 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:42:59,990 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:59,991 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:42:59,993 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 09:42:59,993 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 09:43:15,249 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:46:46,862 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:46:46,969 NotifyIconWndProc(32770436, 28, 1, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:46:48,157 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:49:20,447 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:49:37,766 NotifyIconWndProc(32770436, 28, 0, 14032) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:50:10,865 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:50:33,200 NotifyIconWndProc(32770436, 28, 0, 14032) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:55:03,807 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:55:21,839 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:56:59,950 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 09:57:08,884 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:22:53,676 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:24:48,217 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:25:05,048 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:26:09,966 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:27:21,168 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:28:06,498 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:28:45,861 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:29:05,549 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:29:07,275 NotifyIconWndProc(32770436, 49801, 82, 619) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 10:29:07,276 unknown string message: 0xc289L / 0x52 / 0x26b
2018-08-08 10:29:07,278 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 10:29:07,278 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 10:29:07,652 NotifyIconWndProc(32770436, 28, 1, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:29:10,166 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:10,968 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:16,967 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:17,682 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:17,692 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 10:29:17,692 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 10:29:17,692 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 10:29:17,696 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0x142306d7
2018-08-08 10:29:17,696 do_set_icon(0x142306d7)
2018-08-08 10:29:17,697 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:17,698 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:17,700 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 10:29:17,796 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 10:29:17,796 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 10:29:17,796 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 10:29:17,800 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x199c04db
2018-08-08 10:29:17,800 do_set_icon(0x199c04db)
2018-08-08 10:29:17,800 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:17,801 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:17,802 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 10:29:17,802 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 10:29:27,687 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:29:45,132 NotifyIconWndProc(32770436, 49801, 82, 620) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 10:29:45,134 unknown string message: 0xc289L / 0x52 / 0x26c
2018-08-08 10:29:45,135 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 10:29:45,135 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 10:29:48,687 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:29:51,760 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:52,565 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 10:29:52,573 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 10:29:52,573 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 10:29:52,573 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 10:29:52,575 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0xafa135d
2018-08-08 10:29:52,575 do_set_icon(0xafa135d)
2018-08-08 10:29:52,575 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000abc0050> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:52,576 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000abc0050> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:52,577 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 10:29:52,685 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 10:29:52,686 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 10:29:52,686 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 10:29:52,688 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x116708cb
2018-08-08 10:29:52,688 do_set_icon(0x116708cb)
2018-08-08 10:29:52,688 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:52,689 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 10:29:52,690 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 10:29:52,691 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 10:31:27,605 NotifyIconWndProc(32770436, 28, 0, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:31:28,447 NotifyIconWndProc(32770436, 28, 1, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:39:11,837 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:40:34,424 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:40:42,521 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:42:10,278 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:43:05,625 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:43:15,777 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:53:14,311 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:54:08,874 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:56:48,602 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 10:56:57,364 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:25,629 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:32,914 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:43,223 NotifyIconWndProc(32770436, 28, 0, 18856) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:43,884 NotifyIconWndProc(32770436, 28, 1, 18856) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:52,503 NotifyIconWndProc(32770436, 28, 0, 17948) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:00:52,599 NotifyIconWndProc(32770436, 28, 1, 17948) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:03:51,321 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:03:58,209 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:04:00,367 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:04:01,077 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:04:01,088 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 11:04:01,088 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:04:01,088 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 11:04:01,097 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0x3e180adf
2018-08-08 11:04:01,097 do_set_icon(0x3e180adf)
2018-08-08 11:04:01,097 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:04:01,098 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:04:01,100 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:04:01,102 NotifyIconWndProc(32770436, 49801, 82, 621) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:04:01,102 unknown string message: 0xc289L / 0x52 / 0x26d
2018-08-08 11:04:01,102 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:04:01,103 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:04:01,122 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 11:04:01,123 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:04:01,123 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 11:04:01,130 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x51d7093f
2018-08-08 11:04:01,130 do_set_icon(0x51d7093f)
2018-08-08 11:04:01,130 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:04:01,132 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:04:01,133 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 11:04:01,134 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:04:01,140 NotifyIconWndProc(32770436, 49801, 82, 622) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:04:01,140 unknown string message: 0xc289L / 0x52 / 0x26e
2018-08-08 11:04:01,142 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:04:01,142 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:04:01,378 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:05:24,493 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:05:30,580 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:06:21,411 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:06:31,528 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:07:31,764 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:14:24,143 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 11:14:24,161 NotifyIconWndProc(32770436, 28, 0, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:14:24,162 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 11:14:24,162 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 11:14:24,610 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:14:25,202 NotifyIconWndProc(32770436, 26, 24, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:30,290 NotifyIconWndProc(32770436, 126, 32, 78645120) instance=win32NotifyIcon(0x0), message(126)=None
2018-08-08 11:22:30,294 calculate_offset() x=1920, y=0
2018-08-08 11:22:31,048 NotifyIconWndProc(32770436, 126, 32, 78645120) instance=win32NotifyIcon(0x0), message(126)=None
2018-08-08 11:22:31,052 calculate_offset() x=1920, y=0
2018-08-08 11:22:31,052 NotifyIconWndProc(32770436, 21, 0, 0) instance=win32NotifyIcon(0x0), message(21)=None
2018-08-08 11:22:31,052 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 11:22:31,053 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 11:22:31,053 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 11:22:31,053 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 11:22:31,054 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 11:22:31,055 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 11:22:31,137 NotifyIconWndProc(32770436, 28, 1, 604) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:31,173 NotifyIconWndProc(32770436, 26, 0, 0) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:31,181 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 11:22:31,182 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 11:22:31,287 screen size change: will reinit the windows
2018-08-08 11:22:31,308 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:31,468 NotifyIconWndProc(32770436, 28, 1, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:32,510 NotifyIconWndProc(32770436, 28, 0, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:33,010 NotifyIconWndProc(32770436, 26, 24, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:34,467 NotifyIconWndProc(32770436, 28, 1, 604) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:35,310 NotifyIconWndProc(32770436, 26, 47, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:35,362 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:35,378 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 11:22:43,522 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:22:44,703 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:22:44,712 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 11:22:44,712 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:22:44,713 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 11:22:44,720 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0x6aa60b1d
2018-08-08 11:22:44,720 do_set_icon(0x6aa60b1d)
2018-08-08 11:22:44,720 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:22:44,721 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:22:44,722 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:22:44,723 NotifyIconWndProc(32770436, 49801, 82, 623) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:44,724 unknown string message: 0xc289L / 0x52 / 0x26f
2018-08-08 11:22:44,725 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:44,725 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:22:44,728 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 11:22:44,728 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:22:44,728 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 11:22:44,731 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x112512b3
2018-08-08 11:22:44,732 do_set_icon(0x112512b3)
2018-08-08 11:22:44,733 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:22:44,733 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:22:44,734 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 11:22:44,735 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:22:44,741 NotifyIconWndProc(32770436, 49801, 82, 624) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:44,742 unknown string message: 0xc289L / 0x52 / 0x270
2018-08-08 11:22:44,743 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:44,744 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:22:45,801 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:22:45,994 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:45,995 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:22:45,999 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:22:46,000 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:23:17,169 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:23:17,928 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:23:18,632 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:23:18,640 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 11:23:18,641 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:23:18,641 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 11:23:18,643 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0xddb0aa3
2018-08-08 11:23:18,644 do_set_icon(0xddb0aa3)
2018-08-08 11:23:18,644 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:23:18,647 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:23:18,649 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:23:18,651 NotifyIconWndProc(32770436, 49801, 82, 625) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:18,651 unknown string message: 0xc289L / 0x52 / 0x271
2018-08-08 11:23:18,651 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:18,651 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:23:18,658 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 11:23:18,658 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:23:18,659 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 11:23:18,661 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0xffffffffeb721215
2018-08-08 11:23:18,661 do_set_icon(0xffffffffeb721215)
2018-08-08 11:23:18,662 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:23:18,663 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:23:18,663 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 11:23:18,664 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:23:18,670 NotifyIconWndProc(32770436, 49801, 82, 626) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:18,670 unknown string message: 0xc289L / 0x52 / 0x272
2018-08-08 11:23:18,672 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:18,673 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:23:19,309 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:19,310 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:23:19,312 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:23:19,312 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:23:19,513 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:23:39,056 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:23:43,669 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:26:05,539 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:26:08,684 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:26:09,351 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:26:09,361 set_icon(clipboard) using filename=C:\Program Files\Xpra\icons\clipboard.ico
2018-08-08 11:26:09,361 set_icon_from_file(C:\Program Files\Xpra\icons\clipboard.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:26:09,361 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico) using image type=ICON
2018-08-08 11:26:09,364 LoadImage(C:\Program Files\Xpra\icons\clipboard.ico)=0xffffffffaca11159
2018-08-08 11:26:09,365 do_set_icon(0xffffffffaca11159)
2018-08-08 11:26:09,366 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:26:09,371 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=ICON, GUID
2018-08-08 11:26:09,373 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:26:09,375 NotifyIconWndProc(32770436, 49801, 82, 627) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,376 unknown string message: 0xc289L / 0x52 / 0x273
2018-08-08 11:26:09,376 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,377 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:26:09,380 set_icon(None) using filename=C:\Program Files\Xpra\icons\xpra.ico
2018-08-08 11:26:09,380 set_icon_from_file(C:\Program Files\Xpra\icons\xpra.ico) tray_widget=win32NotifyIcon(0x0)
2018-08-08 11:26:09,381 LoadImage(C:\Program Files\Xpra\icons\xpra.ico) using image type=ICON
2018-08-08 11:26:09,382 LoadImage(C:\Program Files\Xpra\icons\xpra.ico)=0x37470a8f
2018-08-08 11:26:09,383 do_set_icon(0x37470a8f)
2018-08-08 11:26:09,384 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:26:09,385 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='1 clipboard requests in progress', app_id=0, actual flags=ICON, GUID
2018-08-08 11:26:09,386 get_tray_title()=terminator\nssh://username@serverfqdn/:1003 (items=('terminator', 'ssh://username@serverfqdn/:1003'))
2018-08-08 11:26:09,386 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a018f80> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=MESSAGE, ICON, TIP, GUID
2018-08-08 11:26:09,392 NotifyIconWndProc(32770436, 49801, 82, 628) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,393 unknown string message: 0xc289L / 0x52 / 0x274
2018-08-08 11:26:09,395 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,396 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:26:09,471 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,472 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:26:09,474 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 11:26:09,476 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 11:26:10,299 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:27:02,354 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:27:28,086 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:30:08,632 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:30:36,623 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:31:07,546 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:34:56,685 NotifyIconWndProc(32770436, 28, 0, 5048) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:35:47,131 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:38:55,799 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:39:23,467 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:39:25,097 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:39:25,271 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:40:28,121 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:40:34,218 set_tray_icon() DYNAMIC_TRAY_ICON=False, tray=Tray(0:ssh://username@serverfqdn/:1003)
2018-08-08 11:44:21,378 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:45:02,068 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:55:34,357 NotifyIconWndProc(32770436, 28, 0, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:55:35,447 NotifyIconWndProc(32770436, 28, 1, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:57:52,691 NotifyIconWndProc(32770436, 28, 0, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 11:57:53,474 NotifyIconWndProc(32770436, 28, 1, 6692) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:02:22,921 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:03:36,267 NotifyIconWndProc(32770436, 28, 1, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:03:51,996 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:00,583 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:02,189 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:04,120 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:05,277 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:07,112 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:08,292 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:18,787 NotifyIconWndProc(32770436, 49801, 82, 629) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:18,789 unknown string message: 0xc289L / 0x52 / 0x275
2018-08-08 12:04:18,790 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:18,791 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 12:04:19,691 NotifyIconWndProc(32770436, 49801, 82, 630) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,692 unknown string message: 0xc289L / 0x52 / 0x276
2018-08-08 12:04:19,693 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,694 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 12:04:19,829 NotifyIconWndProc(32770436, 49801, 82, 631) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,829 unknown string message: 0xc289L / 0x52 / 0x277
2018-08-08 12:04:19,831 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,831 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 12:04:19,978 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,980 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 12:04:19,982 NotifyIconWndProc(32770436, 49801, 80, 0) instance=win32NotifyIcon(0x0), message(49801)=None
2018-08-08 12:04:19,982 unknown string message: 0xc289L / 0x50 / 0x0
2018-08-08 12:04:21,926 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:22,870 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:24,553 NotifyIconWndProc(32770436, 28, 1, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:04:37,145 NotifyIconWndProc(32770436, 28, 0, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:16:31,734 NotifyIconWndProc(32770436, 28, 1, 604) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 12:16:35,892 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:14,359 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:14,360 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:14,547 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 13:55:15,995 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:16,903 NotifyIconWndProc(32770436, 26, 24, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:21,914 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:21,917 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:22,454 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:22,456 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:22,498 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 13:55:23,212 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:23,505 NotifyIconWndProc(32770436, 126, 32, 78645120) instance=win32NotifyIcon(0x0), message(126)=None
2018-08-08 13:55:23,559 calculate_offset() x=1920, y=0
2018-08-08 13:55:23,616 NotifyIconWndProc(32770436, 21, 0, 0) instance=win32NotifyIcon(0x0), message(21)=None
2018-08-08 13:55:23,679 NotifyIconWndProc(32770436, 30, 0, 0) instance=win32NotifyIcon(0x0), message(30)=None
2018-08-08 13:55:23,698 NotifyIconWndProc(32770436, 26, 0, 0) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:23,719 NotifyIconWndProc(32770436, 26, 24, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:24,784 sending updated screen size to server: 3840x1200 with 1 screens
2018-08-08 13:55:24,784   Default (1016x317 mm - DPI: 96x96)
2018-08-08 13:55:24,784     DISPLAY1 1920x1200 at 1920x0 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-08 13:55:24,784     DISPLAY2 1920x1200 (677x423 mm - DPI: 72x72) workarea: 1920x1200
2018-08-08 13:55:24,785 screen size change: will reinit the windows
2018-08-08 13:55:25,034 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:26,428 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:26,429 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:26,816 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:28,001 NotifyIconWndProc(32770436, 126, 32, 78645120) instance=win32NotifyIcon(0x0), message(126)=None
2018-08-08 13:55:28,005 calculate_offset() x=0, y=0
2018-08-08 13:55:28,019 NotifyIconWndProc(32770436, 126, 32, 56624640) instance=win32NotifyIcon(0x0), message(126)=None
2018-08-08 13:55:28,021 calculate_offset() x=0, y=0
2018-08-08 13:55:28,030 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:28,032 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:28,061 unknown reserved system message: WM_SIZE / 0x0 / 0x35005cc
2018-08-08 13:55:28,079 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:28,080 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:28,210 NotifyIconWndProc(32770436, 71, 0, 2288176) instance=win32NotifyIcon(0x0), message(71)=None
2018-08-08 13:55:28,216 NotifyIconWndProc(32770436, 3, 0, 4063276) instance=win32NotifyIcon(0x0), message(3)=None
2018-08-08 13:55:28,218 NotifyIconWndProc(32770436, 127, 2, 0) instance=win32NotifyIcon(0x0), message(127)=None
2018-08-08 13:55:28,220 NotifyIconWndProc(32770436, 127, 0, 0) instance=win32NotifyIcon(0x0), message(127)=None
2018-08-08 13:55:28,223 NotifyIconWndProc(32770436, 127, 1, 0) instance=win32NotifyIcon(0x0), message(127)=None
2018-08-08 13:55:28,228 NotifyIconWndProc(32770436, 131, 1, 2286480) instance=win32NotifyIcon(0x0), message(131)=None
2018-08-08 13:55:28,377 NotifyIconWndProc(32770436, 70, 0, 2288176) instance=win32NotifyIcon(0x0), message(70)=None
2018-08-08 13:55:28,377 NotifyIconWndProc(32770436, 36, 0, 2284880) instance=win32NotifyIcon(0x0), message(36)=None
2018-08-08 13:55:28,411 NotifyIconWndProc(32770436, 71, 0, 2288176) instance=win32NotifyIcon(0x0), message(71)=None
2018-08-08 13:55:28,412 NotifyIconWndProc(32770436, 3, 0, 4915253) instance=win32NotifyIcon(0x0), message(3)=None
2018-08-08 13:55:28,953 sending updated screen size to server: 1536x864 with 1 screens
2018-08-08 13:55:28,953   Default (406x228 mm - DPI: 96x96) workarea: 1536x824
2018-08-08 13:55:28,953     DISPLAY1 (542x305 mm - DPI: 71x71)
2018-08-08 13:55:28,953 screen size change: will reinit the windows
2018-08-08 13:55:29,006 NotifyIconWndProc(32770436, 28, 1, 0) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:29,037 NotifyIconWndProc(32770436, 26, 0, 2288200) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:29,072 NotifyIconWndProc(32770436, 26, 47, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:29,354 NotifyIconWndProc(32770436, 26, 24, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:30,130 NotifyIconWndProc(32770436, 537, 7, 0) instance=win32NotifyIcon(0x0), message(537)=None
2018-08-08 13:55:30,197 NotifyIconWndProc(32770436, 537, 7, 0) instance=win32NotifyIcon(0x0), message(537)=None
2018-08-08 13:55:30,237 NotifyIconWndProc(32770436, 537, 7, 0) instance=win32NotifyIcon(0x0), message(537)=None
2018-08-08 13:55:30,300 NotifyIconWndProc(32770436, 26, 47, 2288216) instance=win32NotifyIcon(0x0), message(26)=None
2018-08-08 13:55:30,329 NotifyIconWndProc(32770436, 537, 7, 0) instance=win32NotifyIcon(0x0), message(537)=None
2018-08-08 13:55:43,906 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,906 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,906 move_cb(32770436L, 294, 0, 512) x=1057, y=845, size=16, 16
2018-08-08 13:55:43,906 recalculate_geometry(1057, 845, 16, 16) guess=None, tray event locations: 0
2018-08-08 13:55:43,906 recalculate_geometry() geometry guess=(1049, 837, 16, 16) (old guess=(1057, 845, 16, 16))
2018-08-08 13:55:43,906 xpra_tray_geometry() geometry=(1049, 837, 16, 16)
2018-08-08 13:55:43,907 xpra_tray_mouseover((1057, 845))
2018-08-08 13:55:43,908 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,908 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,909 move_cb(32770436L, 294, 0, 512) x=1057, y=845, size=16, 16
2018-08-08 13:55:43,910 recalculate_geometry(1057, 845, 16, 16) guess=(1049, 837, 16, 16), tray event locations: 1
2018-08-08 13:55:43,911 tray event location unchanged
2018-08-08 13:55:43,912 xpra_tray_mouseover((1057, 845))
2018-08-08 13:55:43,916 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,916 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,917 move_cb(32770436L, 294, 0, 512) x=1055, y=845, size=16, 16
2018-08-08 13:55:43,918 recalculate_geometry(1055, 845, 16, 16) guess=(1049, 837, 16, 16), tray event locations: 1
2018-08-08 13:55:43,918 recalculate_geometry() geometry guess=(1048, 837, 16, 16) (old guess=(1049, 837, 16, 16))
2018-08-08 13:55:43,919 xpra_tray_geometry() geometry=(1048, 837, 16, 16)
2018-08-08 13:55:43,920 xpra_tray_mouseover((1055, 845))
2018-08-08 13:55:43,925 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,926 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,927 move_cb(32770436L, 294, 0, 512) x=1050, y=845, size=16, 16
2018-08-08 13:55:43,927 recalculate_geometry(1050, 845, 16, 16) guess=(1048, 837, 16, 16), tray event locations: 2
2018-08-08 13:55:43,928 recalculate_geometry() geometry guess=(1046, 837, 16, 16) (old guess=(1048, 837, 16, 16))
2018-08-08 13:55:43,928 xpra_tray_geometry() geometry=(1046, 837, 16, 16)
2018-08-08 13:55:43,929 xpra_tray_mouseover((1050, 845))
2018-08-08 13:55:43,935 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,936 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,937 move_cb(32770436L, 294, 0, 512) x=1048, y=845, size=16, 16
2018-08-08 13:55:43,937 recalculate_geometry(1048, 845, 16, 16) guess=(1046, 837, 16, 16), tray event locations: 3
2018-08-08 13:55:43,938 recalculate_geometry() geometry guess=(1045, 837, 16, 16) (old guess=(1046, 837, 16, 16))
2018-08-08 13:55:43,938 xpra_tray_geometry() geometry=(1045, 837, 16, 16)
2018-08-08 13:55:43,939 xpra_tray_mouseover((1048, 845))
2018-08-08 13:55:43,954 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,955 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,956 move_cb(32770436L, 294, 0, 512) x=1046, y=845, size=16, 16
2018-08-08 13:55:43,956 recalculate_geometry(1046, 845, 16, 16) guess=(1045, 837, 16, 16), tray event locations: 4
2018-08-08 13:55:43,957 recalculate_geometry() geometry guess=(1044, 837, 16, 16) (old guess=(1045, 837, 16, 16))
2018-08-08 13:55:43,957 xpra_tray_geometry() geometry=(1044, 837, 16, 16)
2018-08-08 13:55:43,958 xpra_tray_mouseover((1046, 845))
2018-08-08 13:55:43,967 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:43,968 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:43,969 move_cb(32770436L, 294, 0, 512) x=1045, y=845, size=16, 16
2018-08-08 13:55:43,969 recalculate_geometry(1045, 845, 16, 16) guess=(1044, 837, 16, 16), tray event locations: 5
2018-08-08 13:55:43,970 recalculate_geometry() geometry guess=(1043, 837, 16, 16) (old guess=(1044, 837, 16, 16))
2018-08-08 13:55:43,970 xpra_tray_geometry() geometry=(1043, 837, 16, 16)
2018-08-08 13:55:43,971 xpra_tray_mouseover((1045, 845))
2018-08-08 13:55:44,017 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,017 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,017 move_cb(32770436L, 294, 0, 512) x=1045, y=845, size=16, 16
2018-08-08 13:55:44,018 recalculate_geometry(1045, 845, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 6
2018-08-08 13:55:44,018 tray event location unchanged
2018-08-08 13:55:44,018 xpra_tray_mouseover((1045, 845))
2018-08-08 13:55:44,110 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,111 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,112 move_cb(32770436L, 294, 0, 512) x=1044, y=844, size=16, 16
2018-08-08 13:55:44,112 recalculate_geometry(1044, 844, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 6
2018-08-08 13:55:44,113 recalculate_geometry() geometry guess=(1043, 837, 16, 16) (old guess=(1043, 837, 16, 16))
2018-08-08 13:55:44,113 xpra_tray_mouseover((1044, 844))
2018-08-08 13:55:44,407 NotifyIconWndProc(32770436, 28, 0, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:44,409 NotifyIconWndProc(32770436, 294, 0, 516) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,410 OnTaskbarNotify(32770436L, 294L, 0L, 516L) button(s) lookup: [(3, 1)], callback=<function xpra_tray_click at 0x000000000a03d488>
2018-08-08 13:55:44,410 xpra_tray_click(3, 1, 0)
2018-08-08 13:55:44,412 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,412 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,412 move_cb(32770436L, 294, 0, 512) x=1044, y=844, size=16, 16
2018-08-08 13:55:44,413 recalculate_geometry(1044, 844, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 7
2018-08-08 13:55:44,413 tray event location unchanged
2018-08-08 13:55:44,414 xpra_tray_mouseover((1044, 844))
2018-08-08 13:55:44,542 NotifyIconWndProc(32770436, 294, 0, 517) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,543 OnTaskbarNotify(32770436L, 294L, 0L, 517L) button(s) lookup: [(3, 0)], callback=<function xpra_tray_click at 0x000000000a03d488>
2018-08-08 13:55:44,543 xpra_tray_click(3, 0, 0)
2018-08-08 13:55:44,543 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,543 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,543 move_cb(32770436L, 294, 0, 512) x=1044, y=844, size=16, 16
2018-08-08 13:55:44,544 recalculate_geometry(1044, 844, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 7
2018-08-08 13:55:44,544 tray event location unchanged
2018-08-08 13:55:44,544 xpra_tray_mouseover((1044, 844))
2018-08-08 13:55:44,563 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,563 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,563 move_cb(32770436L, 294, 0, 512) x=1044, y=844, size=16, 16
2018-08-08 13:55:44,564 recalculate_geometry(1044, 844, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 7
2018-08-08 13:55:44,565 tray event location unchanged
2018-08-08 13:55:44,566 xpra_tray_mouseover((1044, 844))
2018-08-08 13:55:44,567 NotifyIconWndProc(32770436, 294, 0, 512) instance=win32NotifyIcon(0x0), message(294)=<unbound method win32NotifyIcon.OnTaskbarNotify>
2018-08-08 13:55:44,567 OnTaskbarNotify(32770436L, 294L, 0L, 512L) button(s) lookup: [(32770436L, 294, 0, 512)], callback=<bound method Win32Tray.move_cb of Tray(0:ssh://username@serverfqdn/:1003)>
2018-08-08 13:55:44,568 move_cb(32770436L, 294, 0, 512) x=1044, y=844, size=16, 16
2018-08-08 13:55:44,569 recalculate_geometry(1044, 844, 16, 16) guess=(1043, 837, 16, 16), tray event locations: 7
2018-08-08 13:55:44,569 tray event location unchanged
2018-08-08 13:55:44,570 xpra_tray_mouseover((1044, 844))
2018-08-08 13:55:44,571 mouse_in_tray_menu=False
2018-08-08 13:55:44,571 mouse_in_tray_menu=True
2018-08-08 13:55:44,572 mouse_in_tray_menu=True
2018-08-08 13:55:44,573 mouse_in_tray_menu=True
2018-08-08 13:55:44,825 mouse_in_tray_menu=True
2018-08-08 13:55:44,826 mouse_in_tray_menu=False
2018-08-08 13:55:44,827 mouse_in_tray_menu=True
2018-08-08 13:55:44,827 mouse_in_tray_menu=True
2018-08-08 13:55:44,834 mouse_in_tray_menu=True
2018-08-08 13:55:45,581 mouse_in_tray_menu=True
2018-08-08 13:55:45,582 mouse_in_tray_menu=False
2018-08-08 13:55:46,260 mouse_in_tray_menu=True
2018-08-08 13:55:46,340 NotifyIconWndProc(32770436, 28, 1, 3040) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:46,340 NotifyIconWndProc(32770436, 28, 0, 8760) instance=win32NotifyIcon(0x0), message(28)=None
2018-08-08 13:55:46,341 Win32Tray.cleanup() tray_widget=win32NotifyIcon(0x0)
2018-08-08 13:55:46,341 win32NotifyIcon.close()
2018-08-08 13:55:46,341 destroy() hwnd=0x1f40984, exit callback=<function xpra_tray_exit at 0x000000000a03d758>
2018-08-08 13:55:46,342 make_nid(..)=<xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a992050> tooltip='terminator\nssh://username@serverfqdn/:1003', app_id=0, actual flags=GUID
2018-08-08 13:55:46,342 delete_tray_window(..) calling Shell_NotifyIconW(NIM_DELETE, <xpra.platform.win32.win32_NotifyIcon.NOTIFYICONDATA object at 0x000000000a992050>)
2018-08-08 13:55:46,354 xpra_tray_exit(())
2018-08-08 13:55:46,439 Win32Tray.cleanup() ended
Version 0, edited 3 years ago by michael (next)

Changed 3 years ago by Antoine Martin

Attachment: 2.4-r19929-tray-debug.log added

convert large log sample to an attachment

comment:20 Changed 3 years ago by Antoine Martin

Owner: changed from Antoine Martin to michael
  • please try the latest beta
  • maybe try running the client with the clipboard disabled: the clipboard code triggers tray icon changes / refreshes - maybe that's what eventually triggers the bug
Last edited 3 years ago by Antoine Martin (previous) (diff)

comment:21 Changed 3 years ago by michael

Back from holiday - updated to revision 20265 and trying to see what happens.

comment:22 Changed 3 years ago by michael

Resolution: fixed
Status: newclosed

4 days usage and 3 days idle - problem is gone (without any XPRA_DYNAMIC_TRAY_ICON settings or clipboard disabling)

comment:23 Changed 3 years ago by Antoine Martin

Backport in r20372. This will be included in 2.3.4.

comment:24 Changed 9 months ago by migration script

this ticket has been moved to: https://github.com/Xpra-org/xpra/issues/1908

Note: See TracTickets for help on using tickets.